MSSQL CLI
- POST
- /workspaces
- /:workspace
- /projects
- /:project_name
- /pipelines
- /:pipeline_id
- /actions
Creates a new MSSQL CLI action in the pipeline
Request example
curl -X POST "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/actions" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"name": "Run MSSQL queries",
"type": "MSSQL_CLI",
"trigger_time": "ON_EVERY_EXECUTION",
"shell": "BASH",
"execute_commands": [
"sqlcmd -Q 'SELECT @@VERSION'",
"sqlcmd -i migrate.sql"
],
"targets": [
{
"identifier": "my_mssql_database",
"name": "My MSSQL Database",
"type": "MSSQL",
"scope": "ACTION",
"host": "mssql.example.com",
"port": "1433",
"database": "app",
"auth": {
"method": "PASSWORD",
"username": "app_user",
"password": "secured"
}
}
]
}'STATUS200 OK